@mixin title-color($color) {
  &:after{
    background: $color;
  }
}

h1.section-title, h2.section-title{
  font-size: 36px;
  font-weight: $black;
  text-transform: uppercase;
  font-style: italic;
  margin-left: 60px;
  margin-bottom: 30px;
  color: $blue;
  display: inline-block;
  padding-left: 30px;
  padding-right: 30px;
  background: $grey3;
  z-index: 10;

  &:after{
    content: "";
    z-index: -1;
    position: absolute;
    display: block;
    height: 3px;
    background: $blue;
    right: 15px;
    left: 15px;
    transform: translateY(-22px);
  }
  @include media-breakpoint-down(md){
    font-size: 32px;
    &:after{
      transform: translateY(-20px)!important;
    }
  }
  @include media-breakpoint-down(sm){
    font-size: 25px;
    margin-left: 30px;
    padding-left: 15px;
    padding-right: 15Px;
    &:after{
      transform: translateY(-17px)!important;
    }
  }
  &.background-red{
    @include title-color($red);
  }
  &.background-green{
    @include title-color($green);
  }
  &.background-blue{
    @include title-color($blue);
  }
  &.background-grey{
    @include title-color($grey1);
  }
  &.background-default{
    @include title-color($grey1);
  }
}

h2.grey-title{
  padding-left: 10px;
  font-size: 30px;
  font-weight: $fw-bold;
  color: #BBBBBB;
  margin-bottom: 30px;
}

.single-article{
  .article-content{
    p{
      font-size: 20px;
      color: $grey5;
      line-height: 1.4;
      @include media-breakpoint-down(sm){
        font-size: 18px;
      }
    }
    h2{
      font-size: 24px;
      color: $blue2;
      margin-bottom: 30px;
      font-weight: $fw-bold;
      @include media-breakpoint-down(md){

      }
    }
    h3{
      font-size: 22px;
      color: $blue;
      font-weight: $fw-bold;
      margin-top: 30px;
      margin-bottom: 20px;
    }
  }
}


a{
  color: $blue1;
}